pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation Class Reference

Custom point representation to perform kdtree searches in more than 3 (i.e. More...

`#include <pcl/registration/gicp6d.h>`

Inheritance diagram for pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation:

## Public Types

using | Ptr = shared_ptr< MyPointRepresentation >
using | ConstPtr = shared_ptr< const MyPointRepresentation >
Public Types inherited from pcl::PointRepresentation< PointXYZLAB >
using | Ptr = shared_ptr< PointRepresentation< PointXYZLAB > >
using | ConstPtr = shared_ptr< const PointRepresentation< PointXYZLAB > >

## Public Member Functions

| MyPointRepresentation ()
| ~MyPointRepresentation ()
Ptr | makeShared () const
void | copyToFloatArray (const PointXYZLAB &p, float *out) const override
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< PointXYZLAB >
virtual | ~PointRepresentation ()=default
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const PointXYZLAB &p) const
| Verify that the input point is valid. More...
void | vectorize (const PointXYZLAB &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< PointXYZLAB >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

Custom point representation to perform kdtree searches in more than 3 (i.e.

in all 6) dimensions.

Definition at line 128 of file gicp6d.h.

## Member Typedef Documentation

## ConstPtr

using pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::ConstPtr = shared_ptr<const MyPointRepresentation>

Definition at line 134 of file gicp6d.h.

## Ptr

using pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::Ptr = shared_ptr<MyPointRepresentation>

Definition at line 133 of file gicp6d.h.

## Constructor & Destructor Documentation

## MyPointRepresentation()

pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::MyPointRepresentation | ( |  | ) |

inline

Definition at line 136 of file gicp6d.h.

## ~MyPointRepresentation()

pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::~MyPointRepresentation | ( |  | ) |

inline

Definition at line 142 of file gicp6d.h.

## Member Function Documentation

## copyToFloatArray()

void pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray | ( | const PointXYZLAB & | p,
|  | float * | out
| ) |  | const

inline override virtual

Copy point data from input point to a float array.

This method must be overridden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< PointXYZLAB >.

Definition at line 151 of file gicp6d.h.

References pcl::_PointXYZLAB::a, pcl::_PointXYZLAB::b, and pcl::_PointXYZLAB::L.

## makeShared()

Ptr pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::makeShared | ( |  | ) | const

inline

Definition at line 145 of file gicp6d.h.

The documentation for this class was generated from the following file:

- pcl/registration/gicp6d.h